Bug 1881971 - Rebase freerdp to the latest stable release
Summary: Rebase freerdp to the latest stable release
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: freerdp
Version: ---
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.4
Assignee: Ondrej Holy
QA Contact: Martin Krajnak
URL:
Whiteboard:
Depends On:
Blocks: 1855461 1855529 1855865 1855884 1855908 1855910 1855914 1868680
TreeView+ depends on / blocked
 
Reported: 2020-09-23 14:03 UTC by Ondrej Holy
Modified: 2021-05-18 15:50 UTC (History)
2 users (show)

Fixed In Version: freerdp-2.2.0-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-18 15:49:45 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Ondrej Holy 2020-09-23 14:03:07 UTC
> Current RHEL 8.3 package version:
2.1.1

> Future RHEL 8.4 package version:
2.2.0

> Is the RHEL 8.4 package version final or do we expect another additional update before the deadline for rebases (ITM 11)? If so, please tell us why.
I would like to rebase to the latest stable release which will be available at that time as I expect new security fixes to appear...

> Reasons why we are rebasing (security fixes/features (please specify)):
Especially because of the following security fixes: Bug 1868680, Bug 1855914, Bug 1855910, Bug 1855908, Bug 1855884, Bug 1855529, Bug 1855865, Bug 1855461, but it also contains some interesting bug fixes.

> Changelog between the old RHEL version and a new one:
See https://github.com/FreeRDP/FreeRDP/blob/stable-2.0/ChangeLog.

> What other RHEL packages will be affected by this rebase (rebased/tested)?
It might require a rebuild of Vinagre.

> Are there any risks related to the rebase?
The rebase is just within stable-2.0 branch, so I don't expect any issues.

> Additional comments:
No further comments.

Comment 4 Martin Krajnak 2020-11-26 16:07:36 UTC
Today I was quickly able to check Windows xp, windows 7 and windows10 without any issue.

freerdp-2.2.0-1.el8.x86_64

Comment 7 errata-xmlrpc 2021-05-18 15:49:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: freerdp security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:1849


Note You need to log in before you can comment on or make changes to this bug.